# TODO:
# - split (at least some) plugins
# - -ui-cli subpackage?
# - use external spidermonkey (cmake fix needed): Checking for SpiderMonkey -- Skipping check and using bundled version.
# - use patched ffmpeg
# - nvenc (on bcond)?
#
# Conditional build:
%bcond_with	arts	# aRts audio output
%bcond_with	esd	# EsounD audio output
%bcond_without	amr	# Adaptive Multi Rate (AMR) speech codec support
%bcond_without	qt4	# Qt 4 interface
%bcond_without	qt5	# Qt 5 interface
%bcond_without	gtk	# GTK+ interface

%define		qt4_version	4.2
%define		qt5_version	5.3

Summary:	A small audio/video editing software for Linux
Summary(pl.UTF-8):	Mały edytor audio/wideo dla Linuksa
Name:		avidemux
Version:	2.6.10
Release:	1
License:	GPL v2+
Group:		X11/Applications/Multimedia
Source0:	http://downloads.sourceforge.net/avidemux/%{name}_%{version}.tar.gz
# Source0-md5:	61addac2a03720c070aa0b6932cfc2db
Source1:	%{name}.desktop
Source2:	%{name}-qt4.desktop
Source3:	%{name}-qt5.desktop
Patch0:		build.patch
Patch1:		no-qt-in-gtk.patch
Patch2:		gtk-build.patch
Patch3:		%{name}-x32.patch
URL:		http://fixounet.free.fr/avidemux/
%{?with_qt5:BuildRequires:	Qt5Gui-devel >= %{qt5_version}}
# not used due to minor>=5 check incmake/admCheckOpenGl.cmake
#%{?with_qt5:BuildRequires:	Qt5OpenGL-devel >= %{qt5_version}}
%{?with_qt5:BuildRequires:	Qt5Script-devel >= %{qt5_version}}
%{?with_qt5:BuildRequires:	Qt5Widgets-devel >= %{qt5_version}}
%{?with_qt4:BuildRequires:	QtGui-devel >= %{qt4_version}}
%{?with_qt4:BuildRequires:	QtOpenGL-devel >= %{qt4_version}}
%{?with_qt4:BuildRequires:	QtScript-devel >= %{qt4_version}}
BuildRequires:	SDL-devel
BuildRequires:	aften-devel
BuildRequires:	alsa-lib-devel >= 1.0
%{?with_arts:BuildRequires:	artsc-devel}
BuildRequires:	bash
BuildRequires:	cmake >= 2.6.2
BuildRequires:	dcaenc-devel
BuildRequires:	doxygen
%{?with_esd:BuildRequires:	esound-devel}
BuildRequires:	faac-devel
BuildRequires:	faad2-devel
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel >= 2.0.0
BuildRequires:	fribidi-devel >= 0.19
BuildRequires:	gettext-tools
%{?with_gtk:BuildRequires:	gtk+2-devel >= 1:2.6.0}
BuildRequires:	gtk+3-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	lame-libs-devel
BuildRequires:	libdts-devel >= 0.0.5
BuildRequires:	libpng-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libva-devel
BuildRequires:	libva-x11-devel
BuildRequires:	libvdpau-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libvpx-devel
# ABI >= 67
BuildRequires:	libx264-devel
# ABI >= 9
BuildRequires:	libx265-devel
BuildRequires:	libxml2-devel
%{?with_qt4:BuildRequires:	libxslt-progs}
BuildRequires:	rpm-pythonprov
BuildRequires:	sqlite3-devel >= 3
BuildRequires:	twolame-devel
%ifarch %{ix86} %{x8664} x32
BuildRequires:	nasm >= 0.98.32
BuildRequires:	yasm
%endif
%{?with_amr:BuildRequires:	opencore-amr-devel}
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel
%{?with_qt4:BuildRequires:	qt4-build >= %{qt4_version}}
%{?with_qt4:BuildRequires:	qt4-linguist >= %{qt4_version}}
%{?with_qt4:BuildRequires:	qt4-qmake >= %{qt4_version}}
%{?with_qt5:BuildRequires:	qt5-build >= %{qt5_version}}
%{?with_qt5:BuildRequires:	qt5-linguist >= %{qt5_version}}
%{?with_qt5:BuildRequires:	qt5-qmake >= %{qt5_version}}
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xvid-devel >= 1:1.0
BuildRequires:	xvidcore-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A small audio/video editing software for Linux.

%description -l pl.UTF-8
Mały edytor audio/wideo dla Linuksa.

%package ui-gtk
Summary:	GTK+ 2 UI for Avidemux
Summary(pl.UTF-8):	Interfejs użytkownika GTK+ 2 do edytora Avidemux
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	desktop-file-utils

%description ui-gtk
GTK+ 2 UI for Avidemux.

%description ui-gtk -l pl.UTF-8
Interfejs użytkownika GTK+ 2 do edytora Avidemux.

%package ui-qt4
Summary:	Qt 4 UI for Avidemux
Summary(pl.UTF-8):	Interfejs użytkownika Qt 4 do edytora Avidemux
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	desktop-file-utils

%description ui-qt4
Qt 4 UI for Avidemux.

%description ui-qt4 -l pl.UTF-9
Interfejs użytkownika Qt 4 do edytora Avidemux.

%package ui-qt5
Summary:	Qt 5 UI for Avidemux
Summary(pl.UTF-8):	Interfejs użytkownika Qt 5 do edytora Avidemux
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	desktop-file-utils

%description ui-qt5
Qt 5 UI for Avidemux.

%description ui-qt5 -l pl.UTF-8
Interfejs użytkownika Qt 5 do edytora Avidemux.

%prep
%setup -q -n %{name}_%{version}
find '(' -name '*.js' -o -name '*.cpp' -o -name '*.h' -o -name '*.cmake' -o -name '*.txt' ')' -print0 | xargs -0 %{__sed} -i -e 's,\r$,,'
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

echo 'pt_BR' >> po/LINGUAS

# libdir fix
%{__sed} -i -e's,"lib","%{_lib}",' avidemux/common/main.cpp avidemux_core/ADM_core/src/ADM_fileio.cpp

%build
install -d buildCore buildCli buildQt4 buildQt5 buildGtk buildPluginsCommon buildPluginsCLI buildPluginsSettings buildPluginsQt4 buildPluginsQt5 buildPluginsGtk

FAKEROOT_DIR=$(pwd)/install
AVIDEMUX_SOURCE_DIR=$(pwd)

cd buildCore
%cmake \
	-DAVIDEMUX_SOURCE_DIR=$AVIDEMUX_SOURCE_DIR \
	-DFAKEROOT=$FAKEROOT_DIR \
%ifarch x32
	-DFF_FLAGS="--disable-asm" \
%endif
	../avidemux_core
%{__make} -j1
%{__make} install DESTDIR=$FAKEROOT_DIR
cd ..
cd buildCli
%cmake \
	-DAVIDEMUX_SOURCE_DIR=$AVIDEMUX_SOURCE_DIR \
	-DFAKEROOT=$FAKEROOT_DIR \
	../avidemux/cli
%{__make}
%{__make} install DESTDIR=$FAKEROOT_DIR
cd ..
cd buildPluginsCommon
%cmake \
	%{!?with_arts:-DARTS=OFF} \
	-DAVIDEMUX_SOURCE_DIR=$AVIDEMUX_SOURCE_DIR \
	%{!?with_esd:-DESD=OFF} \
	-DFAKEROOT=$FAKEROOT_DIR \
	-DPLUGIN_UI=COMMON \
	../avidemux_plugins
%{__make}
%{__make} install DESTDIR=$FAKEROOT_DIR
cd ..
cd buildPluginsCLI
%cmake \
	-DAVIDEMUX_SOURCE_DIR=$AVIDEMUX_SOURCE_DIR \
	-DFAKEROOT=$FAKEROOT_DIR \
	-DPLUGIN_UI=CLI \
	../avidemux_plugins
%{__make}
%{__make} install DESTDIR=$FAKEROOT_DIR
cd ..
cd buildPluginsSettings
%cmake \
	-DAVIDEMUX_SOURCE_DIR=$AVIDEMUX_SOURCE_DIR \
	-DFAKEROOT=$FAKEROOT_DIR \
	-DPLUGIN_UI=SETTINGS \
	../avidemux_plugins
%{__make}
%{__make} install DESTDIR=$FAKEROOT_DIR
cd ..

%if %{with qt4}
cd buildQt4
%cmake \
	-DAVIDEMUX_SOURCE_DIR=$AVIDEMUX_SOURCE_DIR \
	-DFAKEROOT=$FAKEROOT_DIR \
	../avidemux/qt4
%{__make}
%{__make} install DESTDIR=$FAKEROOT_DIR
cd ..
cd buildPluginsQt4
%cmake \
	-DAVIDEMUX_SOURCE_DIR=$AVIDEMUX_SOURCE_DIR \
	-DFAKEROOT=$FAKEROOT_DIR \
	-DPLUGIN_UI=QT4 \
	../avidemux_plugins
%{__make}
%{__make} install DESTDIR=$FAKEROOT_DIR
cd ..
%endif

%if %{with qt5}
cd buildQt5
%cmake \
	-DENABLE_QT5=True \
	-DAVIDEMUX_SOURCE_DIR=$AVIDEMUX_SOURCE_DIR \
	-DFAKEROOT=$FAKEROOT_DIR \
	../avidemux/qt4
%{__make}
%{__make} install DESTDIR=$FAKEROOT_DIR
cd ..
cd buildPluginsQt5
%cmake \
	-DENABLE_QT5=True \
	-DAVIDEMUX_SOURCE_DIR=$AVIDEMUX_SOURCE_DIR \
	-DFAKEROOT=$FAKEROOT_DIR \
	-DPLUGIN_UI=QT4 \
	../avidemux_plugins
%{__make}
%{__make} install DESTDIR=$FAKEROOT_DIR
cd ..
%endif

%if %{with gtk}
cd buildGtk
%cmake \
	-DAVIDEMUX_SOURCE_DIR=$AVIDEMUX_SOURCE_DIR \
	-DFAKEROOT=$FAKEROOT_DIR \
	../avidemux/gtk
%{__make}
%{__make} install DESTDIR=$FAKEROOT_DIR
cd ..
cd buildPluginsGtk
%cmake \
	-DAVIDEMUX_SOURCE_DIR=$AVIDEMUX_SOURCE_DIR \
	-DFAKEROOT=$FAKEROOT_DIR \
	-DPLUGIN_UI=GTK \
	../avidemux_plugins
%{__make}
%{__make} install DESTDIR=$FAKEROOT_DIR
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_bindir},%{_mandir}/man1}
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -a install/* $RPM_BUILD_ROOT

chmod +x $RPM_BUILD_ROOT%{_libdir}/lib*.so*

%{__mv} $RPM_BUILD_ROOT%{_bindir}/avidemux3{_cli,}
cp -a man/avidemux.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}-gtk.desktop
cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}/%{name}-qt4.desktop
cp -a %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}/%{name}-qt5.desktop
cp -a avidemux_icon.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

%{__rm} -r $RPM_BUILD_ROOT%{_includedir}

#find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post ui-gtk
%update_desktop_database

%post ui-qt4
%update_desktop_database

#files -f %{name}.lang
%files
%defattr(644,root,root,755)
%doc AUTHORS License.txt README
%attr(755,root,root) %{_bindir}/avidemux3
%attr(755,root,root) %{_libdir}/libADM6avcodec.so.56
%attr(755,root,root) %{_libdir}/libADM6avformat.so.56
%attr(755,root,root) %{_libdir}/libADM6avutil.so.54
%attr(755,root,root) %{_libdir}/libADM6postproc.so.53
%attr(755,root,root) %{_libdir}/libADM6swscale.so.3
%attr(755,root,root) %{_libdir}/libADM_UI_Cli6.so
%attr(755,root,root) %{_libdir}/libADM_core6.so
%attr(755,root,root) %{_libdir}/libADM_coreAudio6.so
%attr(755,root,root) %{_libdir}/libADM_coreImage6.so
%attr(755,root,root) %{_libdir}/libADM_coreUI6.so
%attr(755,root,root) %{_libdir}/libADM_render6_cli.so
%attr(755,root,root) %{_libdir}/libADM_audioParser6.so
%attr(755,root,root) %{_libdir}/libADM_coreAudioDevice6.so
%attr(755,root,root) %{_libdir}/libADM_coreAudioEncoder6.so
%attr(755,root,root) %{_libdir}/libADM_coreAudioFilterAPI6.so
%attr(755,root,root) %{_libdir}/libADM_coreDemuxer6.so
%attr(755,root,root) %{_libdir}/libADM_coreDemuxerMpeg6.so
%attr(755,root,root) %{_libdir}/libADM_coreImageLoader6.so
%attr(755,root,root) %{_libdir}/libADM_coreJobs.so
%attr(755,root,root) %{_libdir}/libADM_coreLibVA6.so
%attr(755,root,root) %{_libdir}/libADM_coreMuxer6.so
%attr(755,root,root) %{_libdir}/libADM_coreScript.so
%attr(755,root,root) %{_libdir}/libADM_coreSocket6.so
%attr(755,root,root) %{_libdir}/libADM_coreSqlLight3.so
%attr(755,root,root) %{_libdir}/libADM_coreSubtitle.so
%attr(755,root,root) %{_libdir}/libADM_coreUtils6.so
%attr(755,root,root) %{_libdir}/libADM_coreVDPAU6.so
%attr(755,root,root) %{_libdir}/libADM_coreVideoCodec6.so
%attr(755,root,root) %{_libdir}/libADM_coreVideoEncoder6.so
%attr(755,root,root) %{_libdir}/libADM_coreVideoFilter6.so

%dir %{_libdir}/ADM_plugins6
%dir %{_libdir}/ADM_plugins6/audioDecoder
%dir %{_libdir}/ADM_plugins6/audioDevices
%dir %{_libdir}/ADM_plugins6/audioEncoders
%dir %{_libdir}/ADM_plugins6/videoDecoders
%dir %{_libdir}/ADM_plugins6/videoEncoders
%dir %{_libdir}/ADM_plugins6/videoFilters
%dir %{_libdir}/ADM_plugins6/autoScripts
%dir %{_libdir}/ADM_plugins6/autoScripts/lib
%dir %{_libdir}/ADM_plugins6/demuxers
%dir %{_libdir}/ADM_plugins6/muxers
%dir %{_libdir}/ADM_plugins6/pluginSettings
%dir %{_libdir}/ADM_plugins6/pluginSettings/x264
%dir %{_libdir}/ADM_plugins6/pluginSettings/x264/3
%dir %{_libdir}/ADM_plugins6/scriptEngines

%attr(755,root,root) %{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_Mad.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_a52.so
# R: libdts
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_dca.so
# R: faad2-libs
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_faad.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_ima_adpcm.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_lav.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_ms_adpcm.so
%if %{with amr}
# R: opencore-amr
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_opencore_amrnb.so
# R: opencore-amr
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_opencore_amrwb.so
%endif
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_ulaw.so
# R: libvorbis
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioDecoder/libADM_ad_vorbis.so

# R: alsa-lib
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioDevices/libADM_av_alsaDMix.so
# R: alsa-lib
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioDevices/libADM_av_alsaDefault.so
# R: alsa-lib
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioDevices/libADM_av_alsaHw.so
# R: artsc
%{?with_arts:%attr(755,root,root) %{_libdir}/ADM_plugins6/audioDevices/libADM_av_arts.so}
# R: esound
%{?with_esd:%attr(755,root,root) %{_libdir}/ADM_plugins6/audioDevices/libADM_av_esd.so}
# R: audio-connection-kit-libs
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioDevices/libADM_av_jack.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioDevices/libADM_av_oss.so
# R: pulseaudio-libs
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioDevices/libADM_av_pulseAudioSimple.so

# R: aften
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioEncoders/libADM_ae_aften.so
# R: dcaenc
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioEncoders/libADM_ae_dcaenc.so
# R: faac-libs
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioEncoders/libADM_ae_faac.so
# R: lame-libs
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioEncoders/libADM_ae_lame.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioEncoders/libADM_ae_lav_aac.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioEncoders/libADM_ae_lav_ac3.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioEncoders/libADM_ae_lav_mp2.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioEncoders/libADM_ae_pcm.so
# R: twolame-libs
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioEncoders/libADM_ae_twolame.so
# R: libvorbis
%attr(755,root,root) %{_libdir}/ADM_plugins6/audioEncoders/libADM_ae_vorbis.so

# R: libvpx
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoDecoders/libADM_vd_vpx.so

%attr(755,root,root) %{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_ffDv.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_ffFlv1.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_ffMpeg2.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_ffMpeg4.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_huff.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_jpeg.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_null.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_png.so
# R: libx264
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_x264_other.so
# R: libx265
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_x265_other.so
# R: xvid
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_xvid4.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoEncoders/libADM_ve_yv12.so

%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_addBorders.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_avsfilter.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_blackenBorders.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_DgBob.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_colorYuv.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_decimate.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_denoise3dhq.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_denoise3d.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_fadeToBlack.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_gauss.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_mean.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_median.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_sharpen.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_FluxSmooth.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_hzstackField.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_kernelDeint.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_largeMedian.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_lavDeint.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_logo.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_lumaOnly.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_mergeField.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_resampleFps.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_rotate.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_separateField.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_ssa.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_stackField.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_swapUV.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_telecide.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_unstackField.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_vflip.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_yadif.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_hf_hflip.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_changeFps.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_dummy.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_msharpen.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_printInfo.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_removePlane.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_vdpauFilter.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/libADM_vf_vdpauFilterDeint.so
%dir %{_libdir}/ADM_plugins6/videoFilters/cli
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/cli/libADM_vf_chromaShiftCli.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/cli/libADM_vf_contrastCli.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/cli/libADM_vf_eq2Cli.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/cli/libADM_vf_HueCli.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/cli/libADM_vf_mpdelogoCli.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/cli/libADM_vf_CropCli.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/cli/libADM_vf_swscaleResize_cli.so

%attr(755,root,root) %{_libdir}/ADM_plugins6/autoScripts/720p.py
%attr(755,root,root) %{_libdir}/ADM_plugins6/autoScripts/PSP.py
%attr(755,root,root) %{_libdir}/ADM_plugins6/autoScripts/check24fps.py
%attr(755,root,root) %{_libdir}/ADM_plugins6/autoScripts/dvd.py
%attr(755,root,root) %{_libdir}/ADM_plugins6/autoScripts/lib/ADM_image.py
%attr(755,root,root) %{_libdir}/ADM_plugins6/autoScripts/lib/ADM_imageInfo.py
%attr(755,root,root) %{_libdir}/ADM_plugins6/autoScripts/svcd.py
%attr(755,root,root) %{_libdir}/ADM_plugins6/autoScripts/vcd.py

%attr(755,root,root) %{_libdir}/ADM_plugins6/demuxers/libADM_dm_asf.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/demuxers/libADM_dm_avsproxy.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/demuxers/libADM_dm_flv.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/demuxers/libADM_dm_matroska.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/demuxers/libADM_dm_mp4.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/demuxers/libADM_dm_mxf.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/demuxers/libADM_dm_opendml.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/demuxers/libADM_dm_pic.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/demuxers/libADM_dm_ps.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/demuxers/libADM_dm_ts.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/muxers/libADM_mx_Mkv.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/muxers/libADM_mx_avi.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/muxers/libADM_mx_dummy.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/muxers/libADM_mx_ffPS.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/muxers/libADM_mx_ffTS.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/muxers/libADM_mx_flv.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/muxers/libADM_mx_mp4.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/muxers/libADM_mx_mp4v2.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/muxers/libADM_mx_raw.so
%{_libdir}/ADM_plugins6/pluginSettings/x264/3/PSP.json
%{_libdir}/ADM_plugins6/pluginSettings/x264/3/fast.json
%{_libdir}/ADM_plugins6/pluginSettings/x264/3/iPhone.json
%{_libdir}/ADM_plugins6/pluginSettings/x264/3/ultraFast.json
%{_libdir}/ADM_plugins6/pluginSettings/x264/3/veryFast.json
%attr(755,root,root) %{_libdir}/ADM_plugins6/scriptEngines/libADM_script_spiderMonkey.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/scriptEngines/libADM_script_tinyPy.so

%dir %{_datadir}/ADM6_addons
%dir %{_datadir}/ADM6_addons/avsfilter
%{_datadir}/ADM6_addons/avsfilter/avsload.exe
%{_datadir}/ADM6_addons/avsfilter/pipe_source.dll

%dir %{_datadir}/%{name}6
%dir %{_datadir}/%{name}6/help

%{_mandir}/man1/avidemux.1*
%{_pixmapsdir}/*.png

%dir %{_datadir}/%{name}

%if %{with gtk}
%files ui-gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/avidemux3_gtk
%{_desktopdir}/%{name}-gtk.desktop
%attr(755,root,root) %{_libdir}/libADM_UIGtk6.so
%attr(755,root,root) %{_libdir}/libADM_render6_gtk.so
%attr(755,root,root) %{_libdir}/libADM_toolkitGtk.so
%{_libdir}/ADM_glade

%dir %{_libdir}/ADM_plugins6/videoFilters/gtk
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/gtk/libADM_vf_asharpGtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/gtk/libADM_vf_chromaShiftGtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/gtk/libADM_vf_contrastGtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/gtk/libADM_vf_cropGtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/gtk/libADM_vf_eq2Gtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/gtk/libADM_vf_HueGtk.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/gtk/libADM_vf_swscaleResize_gtk.so
%endif

%if %{with qt4}
%files ui-qt4
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/avidemux3_jobs_qt4
%attr(755,root,root) %{_bindir}/avidemux3_qt4
%{_desktopdir}/%{name}-qt4.desktop
%attr(755,root,root) %{_libdir}/libADM_UIQT46.so
%attr(755,root,root) %{_libdir}/libADM_render6_QT4.so

%dir %{_libdir}/ADM_plugins6/videoEncoders/qt4
# R: libx264
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoEncoders/qt4/libADM_ve_x264_QT4.so
# R: libx265
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoEncoders/qt4/libADM_ve_x265_QT4.so

%dir %{_libdir}/ADM_plugins6/videoFilters/qt4
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt4/libADM_vf_asharpQT4.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt4/libADM_vf_chromaShiftQT4.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt4/libADM_vf_contrastQT4.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt4/libADM_vf_cropQT4.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt4/libADM_vf_eq2QT4.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt4/libADM_vf_HueQT4.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt4/libADM_vf_swscaleResizeQT4.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt4/libADM_vf_mpdelogoQT4.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt4/libADM_vf_glBenchmark.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt4/libADM_vf_glResize.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt4/libADM_vf_rotateGlFrag2.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt4/libADM_vf_sampleGlFrag2.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt4/libADM_vf_sampleGlVertex.so

%dir %{_libdir}/ADM_plugins6/scriptEngines/qt4
%attr(755,root,root) %{_libdir}/ADM_plugins6/scriptEngines/qt4/libadm_script_QT4.so

%{_datadir}/%{name}6/help/QtScriptQT4

%dir %{_datadir}/%{name}6/qt4
%dir %{_datadir}/%{name}6/qt4/i18n
%lang(ca) %{_datadir}/%{name}6/qt4/i18n/*_ca.qm
%lang(cs) %{_datadir}/%{name}6/qt4/i18n/*_cs.qm
%lang(de) %{_datadir}/%{name}6/qt4/i18n/*_de.qm
%lang(el) %{_datadir}/%{name}6/qt4/i18n/*_el.qm
%{_datadir}/%{name}6/qt4/i18n/*_en.qm
%lang(es) %{_datadir}/%{name}6/qt4/i18n/*_es.qm
%lang(eu) %{_datadir}/%{name}6/qt4/i18n/*_eu.qm
%lang(fr) %{_datadir}/%{name}6/qt4/i18n/*_fr.qm
%lang(it) %{_datadir}/%{name}6/qt4/i18n/*_it.qm
%lang(ja) %{_datadir}/%{name}6/qt4/i18n/*_ja.qm
%lang(pl) %{_datadir}/%{name}6/qt4/i18n/*_pl.qm
%lang(pt_BR) %{_datadir}/%{name}6/qt4/i18n/*_pt_BR.qm
%lang(ru) %{_datadir}/%{name}6/qt4/i18n/*_ru.qm
%lang(sr) %{_datadir}/%{name}6/qt4/i18n/*_sr.qm
%lang(sr@latin) %{_datadir}/%{name}6/qt4/i18n/*_sr@latin.qm
%lang(tr) %{_datadir}/%{name}6/qt4/i18n/*_tr.qm
%lang(zh_TW) %{_datadir}/%{name}6/qt4/i18n/*_zh_TW.qm
%endif

%if %{with qt5}
%files ui-qt5
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/avidemux3_jobs_qt5
%attr(755,root,root) %{_bindir}/avidemux3_qt5
%{_desktopdir}/%{name}-qt5.desktop
%attr(755,root,root) %{_libdir}/libADM_UIQT56.so
%attr(755,root,root) %{_libdir}/libADM_render6_QT5.so

%dir %{_libdir}/ADM_plugins6/videoEncoders/qt5
# R: libx264
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoEncoders/qt5/libADM_ve_x264_QT5.so
# R: libx265
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoEncoders/qt5/libADM_ve_x265_QT5.so

%dir %{_libdir}/ADM_plugins6/videoFilters/qt5
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt5/libADM_vf_asharpQT5.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt5/libADM_vf_chromaShiftQT5.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt5/libADM_vf_contrastQT5.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt5/libADM_vf_cropQT5.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt5/libADM_vf_eq2QT5.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt5/libADM_vf_HueQT5.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt5/libADM_vf_mpdelogoQT5.so
%attr(755,root,root) %{_libdir}/ADM_plugins6/videoFilters/qt5/libADM_vf_swscaleResizeQT5.so

%dir %{_libdir}/ADM_plugins6/scriptEngines/qt5
%attr(755,root,root) %{_libdir}/ADM_plugins6/scriptEngines/qt5/libadm_script_QT5.so

%{_datadir}/%{name}6/help/QtScriptQT5

%dir %{_datadir}/%{name}6/qt5
%dir %{_datadir}/%{name}6/qt5/i18n
%lang(ca) %{_datadir}/%{name}6/qt5/i18n/*_ca.qm
%lang(cs) %{_datadir}/%{name}6/qt5/i18n/*_cs.qm
%lang(de) %{_datadir}/%{name}6/qt5/i18n/*_de.qm
%lang(el) %{_datadir}/%{name}6/qt5/i18n/*_el.qm
%{_datadir}/%{name}6/qt5/i18n/*_en.qm
%lang(es) %{_datadir}/%{name}6/qt5/i18n/*_es.qm
%lang(eu) %{_datadir}/%{name}6/qt5/i18n/*_eu.qm
%lang(fr) %{_datadir}/%{name}6/qt5/i18n/*_fr.qm
%lang(it) %{_datadir}/%{name}6/qt5/i18n/*_it.qm
%lang(ja) %{_datadir}/%{name}6/qt5/i18n/*_ja.qm
%lang(pl) %{_datadir}/%{name}6/qt5/i18n/*_pl.qm
%lang(pt_BR) %{_datadir}/%{name}6/qt5/i18n/*_pt_BR.qm
%lang(ru) %{_datadir}/%{name}6/qt5/i18n/*_ru.qm
%lang(sr) %{_datadir}/%{name}6/qt5/i18n/*_sr.qm
%lang(sr@latin) %{_datadir}/%{name}6/qt5/i18n/*_sr@latin.qm
%lang(tr) %{_datadir}/%{name}6/qt5/i18n/*_tr.qm
%lang(zh_TW) %{_datadir}/%{name}6/qt5/i18n/*_zh_TW.qm
%endif
%changelog
* Mon Oct 19 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/avidemux.git;a=log;h=master

* Mon Oct 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 270e139
- added x32 patch, disable asm in internal ffmpeg

* Mon Oct 19 2015 Jakub Bogusz <qboosh@pld-linux.org> f26b04a
- enabled aften and dcaenc audio encoders
- partially sorted files, dir attr cleanup

* Sun Oct 18 2015 Jakub Bogusz <qboosh@pld-linux.org> f75e55e
- updated to 2.6.10

* Sun Oct 18 2015 Jan Rękorajski <baggins@pld-linux.org> 221c053
- release 5 (by relup.sh)

* Sun Jun 14 2015 Jan Rękorajski <baggins@pld-linux.org> 426f1f6
- release 4 (by relup.sh)

* Thu Jun 11 2015 Elan Ruusamäe <glen@delfi.ee> cfc730e
- update BR

* Wed Jun 10 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ef5b31a
- x265 rebuild
- release 3 (by relup.sh)

* Sun May 24 2015 Jan Rękorajski <baggins@pld-linux.org> de8b725
- added missing dirs
- rel 2

* Sun May 24 2015 Jan Rękorajski <baggins@pld-linux.org> 66b28c4
- updated TODO

* Sun May 24 2015 Jan Rękorajski <baggins@pld-linux.org> 3d06384
- updaetd to 2.6.9
- added Qt5 GUI

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 8b58b15
- updated gettext BR

* Sat Mar 29 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 649a262
- x264 rebuild
- release 3 (by relup.sh)

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> abf92fe
- add missing dir
- rel 2

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> 2cdedd2
- we don't package avidemux's headers

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> 6213ece
- don't pull qt in main package

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> bce2e3d
- updated to 2.6.4

* Sun Mar 04 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c46bd87
- release 9

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 31bd401
- release 8

* Thu Dec 22 2011 lisu <lisu@pld-linux.org> acc6aad
- rel 7

* Sun Sep 18 2011 Elan Ruusamäe <glen@pld-linux.org> 2735067
- update-desktop-database (.desktop specifies MimeType)

